Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PassportSuitableElement

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PassportSuitableElement

Enclosing class:
  TdApi

public static final class TdApi.PassportSuitableElement extends TdApi.Object
Contains information about a Telegram Passport element that was requested by a service.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`isNativeNameRequired`
True, if personal details must include the user's name in the language of their country of residence.
`boolean`
`isSelfieRequired`
True, if a selfie is required with the identity document.
`boolean`
`isTranslationRequired`
True, if a certified English translation is required with the document.
`TdApi.PassportElementType`
`type`
Type of the element.

## Constructor Summary

Constructors
Constructor
Description
`PassportSuitableElement()`
Contains information about a Telegram Passport element that was requested by a service.
`PassportSuitableElement(TdApi.PassportElementType type, boolean isSelfieRequired, boolean isTranslationRequired, boolean isNativeNameRequired)`
Contains information about a Telegram Passport element that was requested by a service.
`PassportSuitableElement(DataInput input)`
Contains information about a Telegram Passport element that was requested by a service.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public TdApi.PassportElementType type
Type of the element.

### isSelfieRequired

public boolean isSelfieRequired
True, if a selfie is required with the identity document.

### isTranslationRequired

public boolean isTranslationRequired
True, if a certified English translation is required with the document.

### isNativeNameRequired

public boolean isNativeNameRequired
True, if personal details must include the user's name in the language of their country of residence.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PassportSuitableElement

public PassportSuitableElement()
Contains information about a Telegram Passport element that was requested by a service.

### PassportSuitableElement

public PassportSuitableElement(TdApi.PassportElementType type, boolean isSelfieRequired, boolean isTranslationRequired, boolean isNativeNameRequired)
Contains information about a Telegram Passport element that was requested by a service.

Parameters:
  `type` - PassportElementType Type of the element.
  `isSelfieRequired` - boolean True, if a selfie is required with the identity document.
  `isTranslationRequired` - boolean True, if a certified English translation is required with the document.
  `isNativeNameRequired` - boolean True, if personal details must include the user's name in the language of their country of residence.

### PassportSuitableElement

public PassportSuitableElement(DataInput input) throws IOException
Contains information about a Telegram Passport element that was requested by a service.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`